MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024922Community[OCCT] OCCT:Modeling Algorithmspublic2014-05-14 15:292014-11-11 12:52
Reporterdrazmyslovich 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024922: ShapeAnalysis_Wire::CheckIntersectingEdges doesn't report an intersection point if it is inside of tolerance even only on edge
DescriptionAn intersection point in some cases can be inside of vertex tolerances only on one edge, but not on another. The current behavior marks this point as not-intersection point, while actually the point is an intersection point, because one of the edges has it in the middle and not inside of vertex tolerances. So, on of the edges should be cut or split.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0029325)
drazmyslovich (developer)
2014-05-14 15:31

Please, review the patch
(0029330)
gka (developer)
2014-05-14 16:51

Branch CR0024922 is ready to be tested
(0029440)
apn (administrator)
2014-05-21 15:47

Dear BugMaster,

Branch CR0024922 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: df690b90506df2b01e336a1f907eee940921d1a4

Number of compiler warnings:

occt component :
Linux: 17 (17 on master)
Windows: 0 (0 on master)
MacOS: 202 (205 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 356130440 / 357326856
Total CPU difference: 54835.87999999995 / 56363.43999999993

Testing on Windows:
Total MEMORY difference: 379030488 / 379446636
Total CPU difference: 46392.453125 / 35444.609375

There are no differences in images found by testdiff.

- Related Changesets
occt: master 16a1f265
Timestamp: 2014-05-14 11:30:02
Author: razmyslovich
Committer: apn
Details ] Diff ]
0024922: ShapeAnalysis_Wire::CheckIntersectingEdges doesn't report an intersection point if it is inside of tolerance even only on edge

Fix the tolerances check for an intersection point in ShapeAnalysis_Wire::CheckIntersectingEdges
mod - src/ShapeAnalysis/ShapeAnalysis_Wire.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-14 15:29 drazmyslovich New Issue
2014-05-14 15:29 drazmyslovich Assigned To => drazmyslovich
2014-05-14 15:31 drazmyslovich Note Added: 0029325
2014-05-14 15:31 drazmyslovich Status new => resolved
2014-05-14 16:00 abv Assigned To drazmyslovich => gka
2014-05-14 16:00 abv Target Version Unscheduled => 6.8.0
2014-05-14 16:51 gka Note Added: 0029330
2014-05-14 16:51 gka Status resolved => reviewed
2014-05-19 14:15 apn Assigned To gka => apn
2014-05-21 15:47 apn Note Added: 0029440
2014-05-21 15:48 apn Test case number => Not needed
2014-05-21 15:48 apn Assigned To apn => bugmaster
2014-05-21 15:48 apn Status reviewed => tested
2014-05-23 14:25 apn Changeset attached => occt master 16a1f265
2014-05-23 14:25 apn Assigned To bugmaster => apn
2014-05-23 14:25 apn Status tested => verified
2014-05-23 14:25 apn Resolution open => fixed
2014-06-17 12:47 user533 Project Open CASCADE => Community
2014-11-11 12:46 user533 Fixed in Version => 6.8.0
2014-11-11 12:52 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker